<template>
    <div>
        <label v-if="label" class="block uppercase tracking-wide text-gray-700 text-xs font-bold pb-2" for="grid-first-name">
            {{ label }}
        </label>
        <input
            ref="input"
            class="appearance-none block w-full bg-gray-200 text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500"
            :class="{'border-red-500': error}"
            id="grid-first-name"
            type="text"
            :placeholder="placeholder"
            :value="value"
            @input="updateValue"
        />
        <p class="text-red-500 text-xs italic" v-if="error">{{ error }}</p>
    </div>
</template>

<script>
export default {
    name: 'TwInput',
    props: {
        value: {
            type: String,
            required: true
        },
        label: {
            type: String,
            required: false
        },
        placeholder: {
            type: [String, Boolean],
            default: false
        },
        error: {
            type: [String, Boolean],
            default: false
        }
    },
    methods: {
        updateValue() {
            this.$emit('input', this.$refs.input.value)
        }
    }
}
</script>
